try {
	document.querySelectorAll(":target"); /* »:target« feature test: Credit to @wilto for this idea */
	document.documentElement.className += " js";
	window.addEventListener("load", __main, false);
} catch(e) {
	document.documentElement.className += " scroll"; /* old browsers e. g. IE8 */
}

function __main() {
	
	window.removeEventListener("load", __main);
	
	var _praefix = "#cover-", /* anchor name- and <li> id-praefix */
			_delay = 5000; /* slideshow speed  */
	
	__sliderAnimation("box-1", _praefix, _delay); /* play animation: id="box-1" */
} /* END function __main */

function __sliderAnimation(_boxID, _praefix, _delay) {

	if(window.location.hash.length > 1) { return; }

	var _anchor,
			_timeoutIDs = [],
			_box = document.getElementById(_boxID),
			_covers,
			i,j;

	if(_box	=== null) { return; }

	_covers = _box.getElementsByClassName("slide");

	if(_covers.length === 0) { return; }

	for(i = 1; i < _covers.length; i++) {
		_anchor = _praefix + (i + 1);
		_timeoutIDs.push(__setTimeout(_anchor,(i * _delay)));
	}

	function __setTimeout(_hash,_time) {
		return setTimeout( function() { window.location = _hash; }, _time );
	}	/* END function __setTimeout */
			
	_box.addEventListener("click", __clearAllTimeouts);

	function __clearAllTimeouts() {

		for(j = 0; j < _timeoutIDs.length; j++) {
			clearTimeout(_timeoutIDs[j]);
		}
		_box.removeEventListener("click", __clearAllTimeouts);
	} /* END function __clearAllTimeouts */
} /* END function __sliderAnimation */